LOGO UOL HOST

Ao acessar o meu site, meu sistema de anti-virus acusa perigo. O que fazer?

Este tipo de mensagem ocorre quando algum sistema identifica um arquivo perigoso em sua aplicação web. Muitas vezes este arquivo pode não ser um vírus, mas sim uma de suas páginas com algum tipo de redirecionamento ou inclusão como iframes e divs.

Pelos estudos que já realizamos em cima dos logs das aplicações em casos como este, identificamos que a inclusão de iframes ou arquivos esta relacionada a motivos como:

- Vulnerabilidade de programação de formulários com Scripts de Upload

É de extrema importância que você proteja todo e qualquer formulário de Upload em seu site fazendo a legitimação dos arquivos enviados para o servidor. Caso esta legitimação não existir, qualquer pessoa mal intensionada poderá enviar scripts maliciosos ou programas para dentro da sua hospedagem.

Outro risco é de que o formulário seja utilizado para a alteração da sua página de indice, causando defaces ou ainda a publicação de arquivos para o posterior uso em Phishings.

- Senhas de FTP muito fracas ou previsíveis.

Recomendamos o uso de senhas complexas sempre, com inclusão de números e letras, sempre. Uma senha fraca pode ser facilmente descoberta através da tentativa e erro.

Outro aspecto é que, eventualmente, se houver algum virus, keylogger ou spyware na máquina que você utiliza para fazer o o FTP para o servidor, é possível que alguém mapeie sua senha no momento em que a comunicação é estabelecida. Recomendamos o uso de nosso Gerenciador de Arquivos, que é uma interface via Web na qual este risco não ocorre ou o uso de SFTP.

Estes programas podem se instalar com a execução de um arquivo atachado em um e-mail ou ainda na abertura de uma imagem que chama um link escondido em algum site. Tenha sempre um Anti-Virus e um Firewall instalado na sua máquina e atualizado para evitar isto.

- Uso de aplicações prontas baseadas em CMS.

Atualmente existe uma variedade grandes de gerenciadores CMS, Joola, Drupal e Wordpress são alguns exemplos. Estas soluções possuem desenvolvimento sustentado por grandes grupos de desenvolvedores e uma variedade grande de Plugins desenvolvidas individualmente.

Estes plugins podem, eventualmente, conter brechas de segurança que permitem algum tipo de acesso privilegiado. Se você utiliza uma destas soluções, é altamente recomendado que você sempre esteja atento a updates de versão e patches de segurança.

- Uso de register_globals em On nas aplicações com PHP.

Em alguns casos, aplicações web desenvolvidas com técnicas que já encontram-se em desuso, podem apresentar este comportamento.

Uma das funções mais comuns que são chamadas por aplicações que apresentam este quadro é o "register_globals"(Register Globals).

O uso de “register_globals” no mundo PHP é uma funcionalidade já considerada obsoleta. As últimas versões dos aplicativos mais comuns de código livre já não a utilizam mais.

Ao ativar esta configuração, além de trazer riscos ao seu site em termos de segurança, você adia a necessidade de um ajuste. Nas futuras versões do PHP, tal configuração não estará mais disponível, o que significa que inevitavelmente mais cedo ou mais tarde terá que adaptar o seu código fonte.

Recomendamos que você altere a programação de aplicações que necessitam desta função ativa, ou ainda, que atualize as versões para outras, que não dependam deste recurso.
 

 

Assuntos recentes

Atendimento Online

Somente para assinantes

Fale com um dos nossos atendentes especializados via chat ou envie um e-mail.

Iniciar Chat ou Enviar E-mail

Central de atendimento

Atendimento 24 horas por dia, 7 dias por semana.

Se preferir você pode entrar em contato com a nossa central de atendimento

4003 9011 Capítais e regiões metropolitanas

0800 881 9011 Demais localidades